人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

PHPで認証システムを取り入れたいのですが、
今pearのインストールで困っています。
pear自体はPHP4.3をインストールした時点で一緒に入っていたのですが、
Authクラスをインストールできず、困っています。

HTML_CommonやHTML_QuickFormもできません。
(この二つのインストール順番は正しいはずです)

エラーメッセージは
「HTTP error,got response: HTTP/1.1 410 Gone
Didn't receive 200 OK from remote server.(HTTP/1.1 410 Gone)」
とでます。

以前同じようにpear install XML_Treeを実行したところ、
これはインストールできました。

私自身まだPHPもpearも多少本を見ながらかじっている
程度ですので、わかりやすく教えていただけませんか。
お願いします。

ちなみにOSはWindows(Vista)です。

●質問者: naka232
●カテゴリ:コンピュータ ウェブ制作
✍キーワード:HTTP OS Pear PHP Response
○ 状態 :終了
└ 回答数 : 1/1件

▽最新の回答へ

1 ● toohigh
●60ポイント

エラーメッセージからすると、Auth そのもの、または、Auth の依存パッケージのうち足りないもの、の

いずれかをダウンロードしようとして失敗している、という感じに見えます。

まずは、どのパッケージのインストールで失敗しているのかを見極めるのが第一かと。

ちなみに、Auth の依存パッケージ一覧は以下のとおりです。(Dependencies: 参照)

http://pear.php.net/package/Auth/download/


もし、最新版が対応バージョンや依存関係などの理由でインストールできない場合、ちょっと古いものを一旦インストールするとうまく行く場合もあります。こんな感じのコマンドになります。

pear install Auth-1.6.1


あとは、pear list の結果を出してみると、他の人から状況がわかりやすくなりますので、もっと正確な回答が得られるかもしれません。

◎質問者からの返答

分かり易いご回答ありがとうございます!

依存パッケージのインストールも試してみましたが、やはりおなじメッセージがでて、できませんでした。。。Auth自体も古いバージョンをいくつかためしてみましたが同じメッセージでした。

…で、気づいたのですが、どうやらPEARのバージョンが1.3.5と古いため

様々な問題が起こっているようでして…再度PEARのアップデートを試みてみます。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ